Version 6.x.x Source

Table Name: `tabItem Price`

Multiple Item prices.

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `price_list_details` | Section Break | Price List |
    icon-tags
2 | `price_list` | Link | Price List | Price List
3 | `buying` | Check | Buying |
4 | `selling` | Check | Selling |
5 | `item_details` | Section Break |  |
    icon-tag
6 | `item_code` | Link | Item Code | Item
7 | `price_list_rate` | Currency | Rate |
    currency
8 | `currency` | Link | Currency | Currency
9 | `col_br_1` | Column Break |  |
10 | `item_name` | Data | Item Name |
11 | `item_description` | Text | Item Description |
12 | `section_break_12` | Section Break |  |
13 | `bulk_import_help` | HTML | Bulk Import Help |

### Controller

#### erpnext.stock.doctype.item_price.item_price

### Class ItemPrice

Inherits from frappe.model.document.Document

check_duplicate_item (self)

No docs

update_item_details (self)

No docs

update_price_list_details (self)

No docs

validate (self)

No docs

validate_item (self)

No docs

validate_price_list (self)

No docs

### Class ItemPriceDuplicateItem

Inherits from frappe.exceptions.ValidationError